### Method

# Gtk Builder extend_with_template

#### Declaration [src]

    gboolean
    gtk_builder_extend_with_template (
      GtkBuilder* builder,
      GObject* object,
      GType template_type,
      const char* buffer,
      gssize length,
      GError** error
    )

#### Description [src]

Main private entry point for building composite components from template XML.

This is exported purely to let `gtk-builder-tool` validate templates, applications have no need to call this function.

#### Parameters

`object` | `GObject*`
| The object that is being extended.
| The data is owned by the caller of the function.
`template_type` | `GType`
| The type that the template is for.
`buffer` | `const char*`
| The string to parse.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.
`length` | `gssize`
| The length of `buffer` (may be -1 if `buffer` is nul-terminated).
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| A positive value on success, 0 if an error occurred.